HTTP API

Config

GET/api/v1/config/{project}/{environment}
GET
/api/v1/config/{project}/{environment}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

project*string

Project name

environment*string

Environment name

Response Body

application/json

curl -X GET "https://example.com/api/v1/config/string/string"
{  "cached_at": 0,  "source": "string",  "ttl_seconds": 0,  "values": {    "property1": "string",    "property2": "string"  }}
POST/api/v1/config/{project}/{environment}/refresh
POST
/api/v1/config/{project}/{environment}/refresh

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

project*string

Project name

environment*string

Environment name

Response Body

application/json

curl -X POST "https://example.com/api/v1/config/string/string/refresh"
{  "cached_at": 0,  "source": "string",  "ttl_seconds": 0,  "values": {    "property1": "string",    "property2": "string"  }}

On this page